Subject: bug#12872: 24.2; Provide a feature to trigger mode-line redisplay

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Dec 2021 21:26:59 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 04 Dec 2021 19:55:09 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > force-mode-line-update is a blunt weapon, and causes a much more
> > thorough redisplay than its name says.  And post-command-hook is not
> > the best method of achieving the desired goal, since it runs after
> > _every_ command, not just a command that changes the line of point.
> 
> Perhaps this should be mentioned in the doc string of that function?

It already hints on that.  I don't object to saying that more clearly
and explicitly.

But I don't think that's the issue here.

> This function could grow a `mode-line-only' parameter (or value of ALL),
> I guess.  Hm...  following the logic here isn't trivial.  Would setting
> a new flag in the window object that'll make redisplay call
> redisplay_mode_lines be a way to implement this?

We already have the flag.  The problem is how to set it only when the
current line changes.  I think that's the crux of this issue.